#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	graphviz
Version		:	12.0.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Graph Drawing Programs from AT&T Research and Lucent Bell Labs
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Eclipse
URL		:	https://gitlab.com/graphviz/graphviz/-/tag

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	fontconfig-devel
BuildRequires	:	libgd-devel
BuildRequires	:	libpng-devel
BuildRequires	:	llvm-clang
BuildRequires	:	guile-devel
BuildRequires	:	mesa-devel
BuildRequires	:	perl
BuildRequires	:	php-apache
BuildRequires	:	python
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qtbase-gui
BuildRequires	:	ruby
BuildRequires	:	tcl
BuildRequires	:	swig	>= 4.2.0
#-----------------------------------------------------------------------------
%description
The Graphviz package contains graph visualization software.
Graph visualization is a way of representing structural information
as diagrams of abstract graphs and networks. Graphviz has several
main graph layout programs. It also has web and interactive graphical
interfaces, auxiliary tools, libraries, and language bindings. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%exclude /lua/gv.so
%{_bindir}/*
%{_datadir}/%{name}/graphs/*/*.gv
%{_datadir}/%{name}/demo/*
%{_datadir}/%{name}/gvpr/*
%{_datadir}/%{name}/gvedit/attrs.txt
%{_defaultdocdir}/%{name}-%{version}/schema/*
%{_defaultdocdir}/%{name}-%{version}/info/*.{gif,gv,html,jpg,png}
%{_defaultdocdir}/%{name}-%{version}/*.{html,png}
%{_defaultdocdir}/%{name}-%{version}/*.pdf
%{_defaultdocdir}/%{name}-%{version}/CHANGELOG.md
%{_defaultdocdir}/%{name}-%{version}/Dot.ref
%{_defaultdocdir}/%{name}-%{version}/*.txt
%{_libdir}/%{name}/{lua,perl,python}/*gv.{so,pm,py*}
%{_libdir}/%{name}/lua/libgv_lua.so
%{_libdir}/%{name}/perl/libgv_perl.so
%{_libdir}/%{name}/ruby/gv.so
%{_libdir}/%{name}/ruby/libgv_ruby.so
%{_libdir}/%{name}/tcl/*.tcl
%{_libdir}/%{name}/tcl/lib*.so*
%{_libdir}/%{name}/lib*.so.*
%{_libdir}/%{name}/python3/*.{py,so}
%{_libdir}/tcl8.6/%{name}/lib*.so*
%{_libdir}/tcl8.6/%{name}/*.tcl
#{_libdir}/lua/*so
%{_libdir}/lib*.so*
%{python3_sitelib}/*gv.{so,py*}
%{python3_sitelib}/__pycache__/gv*.pyc
%{_libdir}/perl5/%{perlvers}/vendor_perl/*
%{_libdir}/ruby/vendor_ruby/3.3.0/x86_64-linux/gv.so
%{_mandir}/man1/*.1.gz
%{_mandir}/man7/*.7.gz

#-----------------------------------------------------------------------------
%post
#to load plugins
%{_bindir}/dot -c

#=============================================================================
%package		devel
Summary		:	Development package for graphviz

Requires	:	%{name} = %{version}-%{release}
Requires	:	pkg-config

#-----------------------------------------------------------------------------
%description		devel
A collection of tools for the manipulation and layout of
graphs (as in nodes and edges, not as in barcharts).
This package contains development files for graphviz.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/{%name}/*.{h,i,cpp}
%{_libdir}/%{name}/libgvplugin_*.so
%{_libdir}/pkgconfig/lib*.pc
%{_mandir}/man3/*.3*.gz

#=============================================================================
%package		guile
Summary		:	Guile extension for graphviz

Requires	:	%{name} = %{version}-%{release}
Requires	:	guile

#-----------------------------------------------------------------------------
%description		guile
Guile extension for graphviz.

#-----------------------------------------------------------------------------
%files			guile
%defattr(-,root,root,-)
%{_libdir}/%{name}/guile/libgv_guile.so
%{_mandir}/man3/gv.3guile*

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#sed -i '/LIBPOSTFIX="64"/s/64//' configure.ac

export LIBPOSTFIX=/

./autogen.sh

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-php					\
	--disable-static				\
	--enable-python3=yes				\
	--disable-python				\
	--enable-lefty					\
	--with-qt=yes					\

#A warning is generated by autogen.sh because the
#build tree is not a git repository. Then the build
# date is set to 0. To get a meaningful date in the
# version string, you can run:
sed -i							\
  -e "s/0/$(date +%Y%m%d)/"				\
  builddate.h

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
